Package de.tudresden.ws.container

## Class SumoVehicleSignal

- java.lang.Object
- - de.tudresden.sumo.objects.SumoVehicleSignal
  - - de.tudresden.ws.container.SumoVehicleSignal

- All Implemented Interfaces:
    `SumoObject`

      public class SumoVehicleSignal
      extends SumoVehicleSignal

  Deprecated.
  use package `de.tudresden.sumo.objects` instead.
  Author:
    Mario Krumnow, Anja Liebscher

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoVehicleSignal​(int code)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class de.tudresden.sumo.objects.SumoVehicleSignal

      `getState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SumoVehicleSignal

          public SumoVehicleSignal​(int code)

      Deprecated.